Package org.eclipse.birt.report.engine.api

# Class HTMLRenderOption

java.lang.Object
org.eclipse.birt.report.engine.api.TaskOption
org.eclipse.birt.report.engine.api.RenderOption
org.eclipse.birt.report.engine.api.HTMLRenderOption

All Implemented Interfaces:
  `IHTMLRenderOption`, `IRenderOption`, `ITaskOption`

Direct Known Subclasses:
  `HTMLEmitterConfig`

public class HTMLRenderOption extends RenderOption implements IHTMLRenderOption
output settings for HTML output format

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption

`options`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IHTMLRenderOption

`BASE_IMAGE_URL, BIRT_JS_URL_KEY, BIRT_VIEWER_SERVLET_PATH, HTML, HTML_DISPLAY_FILTER_ICON, HTML_DISPLAY_GROUP_ICON, HTML_ENABLE_AGENTSTYLE_ENGINE, HTML_ENABLE_COMPACT_MODE, HTML_ENABLE_INLINE_STYLE, HTML_ENABLE_METADATA, HTML_ID_NAMESPACE, HTML_INCLUDE_SELECTION_HANDLE, HTML_INDENT, HTML_LAYOUT_PREFERENCE, HTML_NOCSS, HTML_OUTPUT_MASTER_PAGE_MARGINS, HTML_RTL_FLAG, HTML_TITLE, HTML_TYPE, HTML_VIEWPORT_META, HTML_WRAP_TEMPLATE_TABLE, IMAGE_DIRECTROY, INSTANCE_ID_LIST, LAYOUT_PREFERENCE_AUTO, LAYOUT_PREFERENCE_FIXED, MASTER_PAGE_CONTENT, METADATA_FILTER, PAGEFOOTER_FLOAT_FLAG, URL_ENCODING, USER_AGENT, VIEWER_PREVIEW_HTML_LAYOUT, VIEWER_PREVIEW_LAYOUT, VIEWER_PREVIEW_PAGE_LAYOUT`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, REPORTLET_SIZE, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

## Constructor Summary

Constructors
Constructor
Description
`HTMLRenderOption()`
Default constructor.
`HTMLRenderOption(HashMap options)`
Constructor 2
`HTMLRenderOption(IRenderOption options)`
Constructor 1

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseImageURL()`
returns the base url for creating image URL
`String`
`getBirtJsUrl()`
get the URL of head.js file
`boolean`
`getDisplayFilterIcon()`
`boolean`
`getDisplayGroupIcon()`
`boolean`
`getEmbeddable()`
Is the content output embeddable
`boolean`
`getEnableAgentStyleEngine()`
`boolean`
`getEnableInlineStyle()`
`boolean`
`getEnableMetadata()`
`String`
`getHTMLIDNamespace()`
`boolean`
`getHTMLIndent()`
`boolean`
`getHtmlPagination()`
Get html pagination.
`boolean`
`getHtmlRtLFlag()`
Get Html RTL flag.
`String`
`getHtmlTitle()`
Get the html title
`String`
`getImageDirectory()`
returns the image directory that engine stores images and charts into
`boolean`
`getIncludeSelectionHandle()`
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
`List`
`getInstanceIDs()`
Get the instance IDs
`String`
`getLayoutPreference()`
`boolean`
`getMasterPageContent()`
Get master page content.
`IMetadataFilter`
`getMetadataFilter()`
Get the metadata filter.
`boolean`
`getOutputMasterPageMargins()`
`boolean`
`getPageFooterFloatFlag()`
Get page footer float flag.
`String`
`getUrlEncoding()`
Get the URL encoding
`String`
`getUserAgent()`
Get the user agent of the request
`boolean`
`getViewerPageLayout()`
Get the viewer preview is page layout, but for run-task it is always single page
`String`
`getViewportMeta()`
`boolean`
`getWrapTemplateTable()`
`boolean`
`isEnableCompactMode()`
returns whether to use compact mode for the HTML output, whose default value is false.
`void`
`setBaseImageURL(String baseImageURL)`
sets the base image URL for image handling
`void`
`setBirtJsUrl(String birtJsUrl)`
set the URL of head.js file
`void`
`setDisplayFilterIcon(boolean displayFilterIcon)`
Sets the flag indicationg that if filter icons should be displayed.
`void`
`setDisplayGroupIcon(boolean displayGroupIcon)`
Sets the flag indicationg that if group expand/collapse icons should be displayed.
`void`
`setEmbeddable(boolean embeddable)`
sets whether the HTML output can be embedded directly into an HTML page
`void`
`setEnableAgentStyleEngine(boolean enableAgentStyleEngine)`
Sets the flag indicationg that agentStyleEngine is enabled or not.
`void`
`setEnableCompactMode(boolean enableCompactMode)`
sets whether to use compact mode for the HTML output.
`void`
`setEnableInlineStyle(boolean inlineStyleFlag)`
Sets the flag indicating that Trying to use inline style instead of CSS class style.
`void`
`setEnableMetadata(boolean enableMetadata)`
Sets the flag which indicating if metadata should be output.
`void`
`setHTMLIDNamespace(String id)`
sets the HTML ID namespace.
`void`
`setHTMLIndent(boolean indent)`
Sets the flag indicating that if the HTML should be indented.
`void`
`setHtmlPagination(boolean paginate)`
Set html pagination.
`void`
`setHtmlRtLFlag(boolean flag)`
Set Html RTL flag.
`void`
`setHtmlTitle(String htmlTitle)`
Set the HTML title
`void`
`setImageDirectory(String imageDirectory)`
sets the image directory that engine stores images and charts into
`void`
`setIncludeSelectionHandle(boolean option)`
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
`void`
`setInstanceIDs(List instanceIDs)`
Set instance IDs
`void`
`setLayoutPreference(String layoutPreference)`
Sets the flag indicationg that if the table should be outed as fixed.
`void`
`setMasterPageContent(boolean show)`
Set master page content.
`void`
`setMetadataFilter(IMetadataFilter filter)`
Set the metadata filter.
`void`
`setOutputMasterPageMargins(boolean outputMasterPageMargins)`
Sets the flag indicationg that output the master page's margins for the auto layout report or not.
`void`
`setPageFooterFloatFlag(boolean flag)`
Set page footer float flag.
`void`
`setUrlEncoding(String encoding)`
Set the URL encoding for the request.
`void`
`setUserAgent(String userAgent)`
`void`
`setViewerPageLayout(boolean pageLayout)`
Set the viewer page layout is to be used
`void`
`setViewportMeta(String viewport)`
set the viewport meta information.
`void`
`setWrapTemplateTable(boolean wrapTemplateTable)`
Sets the flag indicationg that if the top-level table should be wrapped.

### Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption

`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption

`getBooleanOption, getIntOption, getOption, getOptions, getStringOption, hasOption, setOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption

`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

### Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption

`getOption, getOptions, hasOption, setOption`

## Constructor Details

### HTMLRenderOption

public HTMLRenderOption(IRenderOption options)
Constructor 1

Parameters:
  `options` - render options

### HTMLRenderOption

public HTMLRenderOption(HashMap options)
Constructor 2

Parameters:
  `options` - render options as map

### HTMLRenderOption

public HTMLRenderOption()
Default constructor.

## Method Details

### getInstanceIDs

public List getInstanceIDs()
Get the instance IDs

Specified by:
  `getInstanceIDs` in interface `IHTMLRenderOption`
Returns:
  Returns the instanceIDs.

### setInstanceIDs

public void setInstanceIDs(List instanceIDs)
Set instance IDs

Specified by:
  `setInstanceIDs` in interface `IHTMLRenderOption`
Parameters:
  `instanceIDs` - The instanceIDs to set.

### setEmbeddable

public void setEmbeddable(boolean embeddable)
sets whether the HTML output can be embedded directly into an HTML page

Specified by:
  `setEmbeddable` in interface `IHTMLRenderOption`
Parameters:
  `embeddable` - whether the HTML output can be embedded directly into an HTML page

### getEmbeddable

public boolean getEmbeddable()
Is the content output embeddable

Specified by:
  `getEmbeddable` in interface `IHTMLRenderOption`
Returns:
  whether the output is embeddable

### setViewerPageLayout

public void setViewerPageLayout(boolean pageLayout)
Set the viewer page layout is to be used

Specified by:
  `setViewerPageLayout` in interface `IHTMLRenderOption`
Parameters:
  `pageLayout` - page layout for the preview

### getViewerPageLayout

public boolean getViewerPageLayout()
Get the viewer preview is page layout, but for run-task it is always single page

Specified by:
  `getViewerPageLayout` in interface `IHTMLRenderOption`
Returns:
  true, if the viewer preview is page layout

### setUserAgent

public void setUserAgent(String userAgent)

Specified by:
  `setUserAgent` in interface `IHTMLRenderOption`
Parameters:
  `userAgent` - the user agent of the request

### getUserAgent

public String getUserAgent()
Description copied from interface: `IHTMLRenderOption`
Get the user agent of the request

Specified by:
  `getUserAgent` in interface `IHTMLRenderOption`
Returns:
  the user agent for the request

### setUrlEncoding

public void setUrlEncoding(String encoding)
Set the URL encoding for the request.

Specified by:
  `setUrlEncoding` in interface `IHTMLRenderOption`
Parameters:
  `encoding` -

### getUrlEncoding

public String getUrlEncoding()
Description copied from interface: `IHTMLRenderOption`
Get the URL encoding

Specified by:
  `getUrlEncoding` in interface `IHTMLRenderOption`
Returns:
  the user agent for the request

### setMasterPageContent

public void setMasterPageContent(boolean show)
Set master page content.

Specified by:
  `setMasterPageContent` in interface `IHTMLRenderOption`
Parameters:
  `show` -

### getMasterPageContent

public boolean getMasterPageContent()
Get master page content.

Specified by:
  `getMasterPageContent` in interface `IHTMLRenderOption`
Returns:
  the master page content

### setHtmlPagination

public void setHtmlPagination(boolean paginate)
Set html pagination.

Specified by:
  `setHtmlPagination` in interface `IHTMLRenderOption`
Parameters:
  `paginate` -

### getHtmlPagination

public boolean getHtmlPagination()
Get html pagination.

Specified by:
  `getHtmlPagination` in interface `IHTMLRenderOption`
Returns:
  the html pagination

### setIncludeSelectionHandle

@Deprecated public void setIncludeSelectionHandle(boolean option)
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
Description copied from interface: `IHTMLRenderOption`
Set if the selection handle must be included

Specified by:
  `setIncludeSelectionHandle` in interface `IHTMLRenderOption`
Parameters:
  `option` - include the selection handle

### getIncludeSelectionHandle

@Deprecated public boolean getIncludeSelectionHandle()
Deprecated.
includeSelectionHandle is replaced by eanableMetadata flag.
Description copied from interface: `IHTMLRenderOption`
Get the information whether the selection handle is included

Specified by:
  `getIncludeSelectionHandle` in interface `IHTMLRenderOption`
Returns:
  is the selection handle included

### setHtmlRtLFlag

public void setHtmlRtLFlag(boolean flag)
Set Html RTL flag.

Specified by:
  `setHtmlRtLFlag` in interface `IHTMLRenderOption`
Parameters:
  `flag` -

### getHtmlRtLFlag

public boolean getHtmlRtLFlag()
Get Html RTL flag.

Specified by:
  `getHtmlRtLFlag` in interface `IHTMLRenderOption`
Returns:
  the html RTL flag

### setHtmlTitle

public void setHtmlTitle(String htmlTitle)
Set the HTML title

Specified by:
  `setHtmlTitle` in interface `IHTMLRenderOption`
Parameters:
  `htmlTitle` -

### getHtmlTitle

public String getHtmlTitle()
Description copied from interface: `IHTMLRenderOption`
Get the html title

Specified by:
  `getHtmlTitle` in interface `IHTMLRenderOption`
Returns:
  the default html title

### setPageFooterFloatFlag

public void setPageFooterFloatFlag(boolean flag)
Set page footer float flag.

Specified by:
  `setPageFooterFloatFlag` in interface `IHTMLRenderOption`
Parameters:
  `flag` -

### getPageFooterFloatFlag

public boolean getPageFooterFloatFlag()
Get page footer float flag.

Specified by:
  `getPageFooterFloatFlag` in interface `IHTMLRenderOption`
Returns:
  the page footer float flag

### setEnableMetadata

public void setEnableMetadata(boolean enableMetadata)
Sets the flag which indicating if metadata should be output.

Specified by:
  `setEnableMetadata` in interface `IHTMLRenderOption`
Parameters:
  `enableMetadata` - the flag

### getEnableMetadata

public boolean getEnableMetadata()

Specified by:
  `getEnableMetadata` in interface `IHTMLRenderOption`
Returns:
  the enable metadata flag value.

### setDisplayFilterIcon

public void setDisplayFilterIcon(boolean displayFilterIcon)
Sets the flag indicationg that if filter icons should be displayed.

Specified by:
  `setDisplayFilterIcon` in interface `IHTMLRenderOption`
Parameters:
  `displayFilterIcon` - the flag

### getDisplayFilterIcon

public boolean getDisplayFilterIcon()

Specified by:
  `getDisplayFilterIcon` in interface `IHTMLRenderOption`
Returns:
  the display filter icon flag value.

### setDisplayGroupIcon

public void setDisplayGroupIcon(boolean displayGroupIcon)
Sets the flag indicationg that if group expand/collapse icons should be displayed.

Specified by:
  `setDisplayGroupIcon` in interface `IHTMLRenderOption`
Parameters:
  `displayGroupIcon` - the flag

### getDisplayGroupIcon

public boolean getDisplayGroupIcon()

Specified by:
  `getDisplayGroupIcon` in interface `IHTMLRenderOption`
Returns:
  the group expand/collapse icon flag value.

### getImageDirectory

public String getImageDirectory()
returns the image directory that engine stores images and charts into

Specified by:
  `getImageDirectory` in interface `IHTMLRenderOption`
Returns:
  the image directory.

### setImageDirectory

public void setImageDirectory(String imageDirectory)
sets the image directory that engine stores images and charts into

Specified by:
  `setImageDirectory` in interface `IHTMLRenderOption`
Parameters:
  `imageDirectory` - the image directory that engine stores images and charts into

### getBaseImageURL

public String getBaseImageURL()
returns the base url for creating image URL

Specified by:
  `getBaseImageURL` in interface `IHTMLRenderOption`
Returns:
  Rreturn the abse image url

### setBaseImageURL

public void setBaseImageURL(String baseImageURL)
sets the base image URL for image handling

Specified by:
  `setBaseImageURL` in interface `IHTMLRenderOption`
Parameters:
  `baseImageURL` - the base image URL

### setWrapTemplateTable

public void setWrapTemplateTable(boolean wrapTemplateTable)
Sets the flag indicationg that if the top-level table should be wrapped.

Parameters:
  `wrapTemplateTable` - the flag

### getWrapTemplateTable

public boolean getWrapTemplateTable()

Returns:
  the group expand/collapse icon flag value.

### setLayoutPreference

public void setLayoutPreference(String layoutPreference)
Sets the flag indicationg that if the table should be outed as fixed.

Parameters:
  `layoutPreference` - the flag

### getLayoutPreference

public String getLayoutPreference()

Returns:
  the table layout fixed flag value.

### setEnableAgentStyleEngine

public void setEnableAgentStyleEngine(boolean enableAgentStyleEngine)
Sets the flag indicationg that agentStyleEngine is enabled or not.

Parameters:
  `enableAgentStyleEngine` - True: means the HTML emitter will output the BIRT styles directly to the report and depends on the browser to implement the style calculation. False: means the HTML emitter will use BIRT style engine to calculate the styles and output the result to the report.

### getEnableAgentStyleEngine

public boolean getEnableAgentStyleEngine()

Returns:
  the agentStyleEngine enabled flag value.

### setOutputMasterPageMargins

public void setOutputMasterPageMargins(boolean outputMasterPageMargins)
Sets the flag indicationg that output the master page's margins for the auto layout report or not.

Parameters:
  `outputMasterPageMargins` - True: means the HTML emitter will output the master page's margins for auto report. False: means the HTML emitter won't output the master page's margins for auto report.

### getOutputMasterPageMargins

public boolean getOutputMasterPageMargins()

Returns:
  the outputMasterPageMargins flag value.

### setHTMLIDNamespace

public void setHTMLIDNamespace(String id)
sets the HTML ID namespace.

Parameters:
  `id` - the viewer id

### getHTMLIDNamespace

public String getHTMLIDNamespace()

Returns:
  the HTML ID namespace.

### setHTMLIndent

public void setHTMLIndent(boolean indent)
Sets the flag indicating that if the HTML should be indented.

Parameters:
  `indent` - the flag

### getHTMLIndent

public boolean getHTMLIndent()

Returns:
  the HTML indent flag value. The default value is true.

### setMetadataFilter

public void setMetadataFilter(IMetadataFilter filter)
Set the metadata filter.

Parameters:
  `filter` - metadata filter

### getMetadataFilter

public IMetadataFilter getMetadataFilter()
Get the metadata filter.

Returns:
  the metadata filter

### setEnableInlineStyle

public void setEnableInlineStyle(boolean inlineStyleFlag)
Sets the flag indicating that Trying to use inline style instead of CSS class style. This option only works when the report is embeddable.

Parameters:
  `inlineStyleFlag` - the flag

### getEnableInlineStyle

public boolean getEnableInlineStyle()

Returns:
  the inline style flag value. The default value is false. True: Try to using the inline style to instead of style class. Fals: Try to use the style class to compress the HTML source.

### setViewportMeta

public void setViewportMeta(String viewport)
set the viewport meta information.

Parameters:
  `viewport` -

### getViewportMeta

public String getViewportMeta()

Returns:
  the viewport meta information.

### isEnableCompactMode

public boolean isEnableCompactMode()
Description copied from interface: `IHTMLRenderOption`
returns whether to use compact mode for the HTML output, whose default value is false.

Specified by:
  `isEnableCompactMode` in interface `IHTMLRenderOption`
Returns:
  returns whether to use compact mode for the HTML output

### setEnableCompactMode

public void setEnableCompactMode(boolean enableCompactMode)
Description copied from interface: `IHTMLRenderOption`
sets whether to use compact mode for the HTML output. If the compact mode was used, text indents and new line separators will be ignored.

Specified by:
  `setEnableCompactMode` in interface `IHTMLRenderOption`
Parameters:
  `enableCompactMode` -

### setBirtJsUrl

public void setBirtJsUrl(String birtJsUrl)
set the URL of head.js file

Parameters:
  `birtJsUrl` -

### getBirtJsUrl

public String getBirtJsUrl()
get the URL of head.js file

Returns:
  the URL of head.js file